const s:string[] = require("fs").readFileSync(0, "utf8").toString().trim().split('\n');
let num:number;
let isComplet:boolean = false;
s.forEach((str,i) => {
    if(!isComplet) {
        if(str !== "Fizz" && str !== "Buzz" && str !== "FizzBuzz") {
            num = Number(str) + (3-i);
            isComplet = true;
        }
    }
});

console.log((num%15===0) ? "FizzBuzz" : (num%3===0) ? "Fizz" : (num%5===0) ? "Buzz" : num);